\documentclass[tikz]{standalone}

\begin{document}
                \begin{tikzpicture}[scale=0.4]
                    \draw[black,thick,->] (-4,0) -- (4,0) node[above] {$x$};
                    \draw[black,thick,->] (0,-2) -- (0,4) node[right] {$f(x)$};
                    \filldraw[black] (-2,2) circle (3pt);
                    \draw[red,->] (-4,2) -- (4,2);
                    \draw[red,->] (-2,2) -- (-2,0);
                    \draw[red,->] (-2,2) -- (0,0);
                    \draw[red,->] (-2,2) -- (2,0);
                    
                    \draw (-1.25,0.5) node {2};
                    \draw (-3,1) node {1};
                    \draw (0.25,0.5) node {3};
                    \draw (1,1.25) node {4};
                \end{tikzpicture}
\end{document}